Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Interface Injectable

All Known Implementing Classes:
  ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase

    public interface Injectable

Method Summary
`void` | `addInjectionTarget(String injectionTargetName, String jndiName)`
`List<InjectionTarget>` | `getInjectionTargets()`
`String` | `getName()`

Method Detail

### getName

    String getName()

### addInjectionTarget

    void addInjectionTarget(String injectionTargetName,
                            String jndiName)

### getInjectionTargets

    List<InjectionTarget> getInjectionTargets()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.